Package org.iirds.rdf.facade

# Class VocabularyFactory

java.lang.Object
org.iirds.rdf.facade.VocabularyFactory

public class VocabularyFactory extends Object
Helper class to retrieve vocabulary from the RDF model.

Author:
  Martin Kreutzer, Empolis Information Management GmbH

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VocabularyFactory(org.apache.jena.rdf.model.Model model)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.jena.rdf.model.Resource`
  `createVocabularyTermByLabel(String classURI, String label, boolean ignoreCase)`
  `org.apache.jena.rdf.model.Resource`
  `getComponent(String label, boolean ignoreCase)`
  `org.apache.jena.rdf.model.Resource`
  `getContentLifecycleStatusValue(String label, boolean ignoreCase)`
  `org.apache.jena.rdf.model.Resource`
  `getDirectoryNodeType(String uri)`
  `org.apache.jena.rdf.model.Resource`
  `getDocumentType(String label, boolean ignoreCase)`
  `org.apache.jena.rdf.model.Resource`
  `getInformationSubject(String label, boolean ignoreCase)`
  `org.apache.jena.rdf.model.Resource`
  `getPartyRole(String label, boolean ignoreCase)`
  `org.apache.jena.rdf.model.Resource`
  `getProduct(String label, boolean ignoreCase)`
  `org.apache.jena.rdf.model.Resource`
  `getProductFeature(String label, boolean ignoreCase)`
  `org.apache.jena.rdf.model.Resource`
  `getProductLifecyclePhase(String label, boolean ignoreCase)`
  `org.apache.jena.rdf.model.Resource`
  `getRole(String label, boolean ignoreCase)`
  `org.apache.jena.rdf.model.Resource`
  `getSkillLevel(String label, boolean ignoreCase)`
  `org.apache.jena.rdf.model.Resource`
  `getTopicType(String label, boolean ignoreCase)`
  `org.apache.jena.rdf.model.Resource`
  `getVocabularyTermByLabel(String classURI, String label, boolean ignoreCase)`
  `org.apache.jena.rdf.model.Resource`
  `getVocabularyTermByURI(String classURI, String uri)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VocabularyFactory

    public VocabularyFactory(org.apache.jena.rdf.model.Model model)

- ## Method Details

  - ### getVocabularyTermByLabel

    public org.apache.jena.rdf.model.Resource getVocabularyTermByLabel(String classURI, String label, boolean ignoreCase)

  - ### createVocabularyTermByLabel

    public org.apache.jena.rdf.model.Resource createVocabularyTermByLabel(String classURI, String label, boolean ignoreCase)

  - ### getVocabularyTermByURI

    public org.apache.jena.rdf.model.Resource getVocabularyTermByURI(String classURI, String uri)

  - ### getDirectoryNodeType

    public org.apache.jena.rdf.model.Resource getDirectoryNodeType(String uri)

  - ### getTopicType

    public org.apache.jena.rdf.model.Resource getTopicType(String label, boolean ignoreCase)

  - ### getDocumentType

    public org.apache.jena.rdf.model.Resource getDocumentType(String label, boolean ignoreCase)

  - ### getPartyRole

    public org.apache.jena.rdf.model.Resource getPartyRole(String label, boolean ignoreCase)

  - ### getContentLifecycleStatusValue

    public org.apache.jena.rdf.model.Resource getContentLifecycleStatusValue(String label, boolean ignoreCase)

  - ### getProduct

    public org.apache.jena.rdf.model.Resource getProduct(String label, boolean ignoreCase)

  - ### getComponent

    public org.apache.jena.rdf.model.Resource getComponent(String label, boolean ignoreCase)

  - ### getInformationSubject

    public org.apache.jena.rdf.model.Resource getInformationSubject(String label, boolean ignoreCase)

  - ### getProductFeature

    public org.apache.jena.rdf.model.Resource getProductFeature(String label, boolean ignoreCase)

  - ### getRole

    public org.apache.jena.rdf.model.Resource getRole(String label, boolean ignoreCase)

  - ### getSkillLevel

    public org.apache.jena.rdf.model.Resource getSkillLevel(String label, boolean ignoreCase)

  - ### getProductLifecyclePhase

    public org.apache.jena.rdf.model.Resource getProductLifecyclePhase(String label, boolean ignoreCase)